-------------------------------------------------------------------------------
-- util_clkdiv_0_wrapper.vhd
-------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- synthesis translate_off
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;

-- synthesis translate_on

entity util_clkdiv_0_wrapper is
  port (
    clk : in std_logic;
    clk_div_out : out std_logic
  );
end util_clkdiv_0_wrapper;

architecture STRUCTURE of util_clkdiv_0_wrapper is

  component util_clkdiv is
    generic (
      c_div_factor : integer
    );
    port (
      clk : in std_logic;
      clk_div_out : out std_logic
    );
  end component;

begin

  util_clkdiv_0 : util_clkdiv
    generic map (
      c_div_factor => 4
    )
    port map (
      clk => clk,
      clk_div_out => clk_div_out
    );

end architecture STRUCTURE;
